curl --request POST \
--url https://api.qovery.com/organization \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"plan": "FREE",
"description": "<string>",
"website_url": "<string>",
"repository": "<string>",
"logo_url": "<string>",
"icon_url": "<string>",
"admin_emails": [
"<string>"
]
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"plan": "FREE",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"website_url": "<string>",
"repository": "<string>",
"logo_url": "<string>",
"icon_url": "<string>",
"admin_emails": [
"<string>"
],
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billing_deployment_restriction": "<string>",
"organization_plan": {
"plan": "FREE",
"audit_logs_retention_in_days": 123
}
}curl --request POST \
--url https://api.qovery.com/organization \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"plan": "FREE",
"description": "<string>",
"website_url": "<string>",
"repository": "<string>",
"logo_url": "<string>",
"icon_url": "<string>",
"admin_emails": [
"<string>"
]
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"plan": "FREE",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"website_url": "<string>",
"repository": "<string>",
"logo_url": "<string>",
"icon_url": "<string>",
"admin_emails": [
"<string>"
],
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billing_deployment_restriction": "<string>",
"organization_plan": {
"plan": "FREE",
"audit_logs_retention_in_days": 123
}
}JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
name is case insensitive
FREE, BUSINESS & PROFESSIONAL are deprecated. 2025 plans are the new plans available.
FREE, TEAM, TEAM_YEARLY, ENTERPRISE, ENTERPRISE_YEARLY, PROFESSIONAL, BUSINESS, USER_2025, TEAM_2025, BUSINESS_2025, ENTERPRISE_2025 Create organization
name is case insensitive
FREE, BUSINESS & PROFESSIONAL are deprecated. 2025 plans are the new plans available.
FREE, TEAM, TEAM_YEARLY, ENTERPRISE, ENTERPRISE_YEARLY, PROFESSIONAL, BUSINESS, USER_2025, TEAM_2025, BUSINESS_2025, ENTERPRISE_2025 uuid of the user owning the organization
If set, indicates a billing-related restriction on the organization. 'NO_CREDIT_CARD' means the organization is on a free trial without a credit card — managed cluster creation and deployments on managed clusters are blocked, but demo cluster usage is allowed. Any other value blocks all deployments. null means no restriction.
Show child attributes
Was this page helpful?